> ## Documentation Index
> Fetch the complete documentation index at: https://developers.usebreezee.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payments

This endpoint retrieves a list of payments made on the instance.

### Request Body

<ParamField body="filter" type="string" default="SENT">
  Filter payments by type. Options: `SENT`, `RECEIVED`.
</ParamField>

### Response

The response contains a list of payment objects.

#### 200: Success

```json theme={null}
{
  "status": true,
  "payments": [
    {
      "id": "...",
      "payment_type": 0,
      "status": 0,
      "amount_msat": 10000,
      "fee_msat": 10,
      "timestamp": 1629345600,
      "details": {
          "type": "bolt11",
          "invoice": "..."
      }
    }
  ]
}
```

#### 422: Validation Error

Standard validation error if the request body is invalid.


## OpenAPI

````yaml POST /api/v1/breezee/payments
openapi: 3.1.0
info:
  title: Breezee API
  version: 0.1.0
servers:
  - url: https://demo.usebreezee.xyz
    description: Server
security: []
paths:
  /api/v1/breezee/payments:
    post:
      tags:
        - breezee
      summary: Get Payments
      operationId: get_payments_api_v1_breezee_payments_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PaymentsListRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    PaymentsListRequest:
      properties:
        filter:
          anyOf:
            - type: string
            - type: 'null'
          title: Filter
          default: SENT
      type: object
      title: PaymentsListRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````